package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleDataScope;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleDataScope] 服务对象接口
 */
public interface IUserRoleDataScopeClientService{

    public IUserRoleDataScope createModel() ;

    public void create(IUserRoleDataScope userroledatascope);

    public void save(IUserRoleDataScope userroledatascope);

    public void checkKey(IUserRoleDataScope userroledatascope);

    public void getDraft(IUserRoleDataScope userroledatascope);

    public void update(IUserRoleDataScope userroledatascope);

    public void get(IUserRoleDataScope userroledatascope);

    public void remove(IUserRoleDataScope userroledatascope);

    public Page<IUserRoleDataScope> fetchDefault(SearchContext context);

}
